i18next - Update JSON
PATCH
/localization/i18next/{language}dev
https://api.sandbox.ovok.comUpdate the i18next JSON file for applications
The i18next JSON file is used to update the localization in a frontend application at runtime/compile time. The request doesn't return anything and updating the i18next JSON file is an async process.
NOTE: All pre-existing and matching localizations will be overwritten, pre-existing and non-matching localizations will not be affected and non-pre-existing localizations will be created.
NOTE: The provided language must be enabled in the system by calling Locale APIs.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
language | path | string | yes | Locale code whose i18next JSON should be updated (e.g. en, de). Must be enabled for the project via the Locale APIs. |
Request body
Content-Type: application/json
object
Responses
| Code | Description |
|---|---|
200 | Success. |
400 | The request could not be operated by the server. |
401 | The resource owner or authorization server denied the request. |
404 | The requested resource could not be found. |
422 | The request could not be validated by the server. |
500 | The server encountered an unexpected condition. Please try again later. |
200 → i18nPatchDto (application/json)
object
Example
{
"page": {
"about": "about",
"contact": "contact",
"phone": null,
"home": {
"title": "home"
}
}
}